Package org.apache.sling.feature.cpconverter.index

## Class SimpleNamespaceResolver

- java.lang.Object
- - org.apache.sling.feature.cpconverter.index.SimpleNamespaceResolver

All Implemented Interfaces:
  `org.apache.jackrabbit.spi.commons.namespace.NamespaceResolver`

    public class SimpleNamespaceResolver
    extends Object
    implements org.apache.jackrabbit.spi.commons.namespace.NamespaceResolver

A simple resolver that is aware of the default "oak" prefix and namespace

### Constructor Summary

Constructors
`SimpleNamespaceResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getPrefix​(String uri)`
`String` `getURI​(String prefix)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleNamespaceResolver

    public SimpleNamespaceResolver()

### Method Detail

#### getURI

    public String getURI​(String prefix)
                  throws javax.jcr.NamespaceException

Specified by:
  `getURI` in interface `org.apache.jackrabbit.spi.commons.namespace.NamespaceResolver`
Throws:
  `javax.jcr.NamespaceException`

#### getPrefix

    public String getPrefix​(String uri)
                     throws javax.jcr.NamespaceException

Specified by:
  `getPrefix` in interface `org.apache.jackrabbit.spi.commons.namespace.NamespaceResolver`
Throws:
  `javax.jcr.NamespaceException`